# Class PostBiomeChangeWeatherChangeAbAttr

#### Hierarchy (view full)

- PostBiomeChangeAbAttr
  - PostBiomeChangeWeatherChangeAbAttr

- Defined in src/data/ability.ts:2737

#####
Index

### Constructors

constructor

### Properties

showAbility
weatherType

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostBiomeChangeWeatherChangeAbAttr(weatherType): PostBiomeChangeWeatherChangeAbAttr

- #### Parameters

  - weatherType: WeatherType

  #### Returns PostBiomeChangeWeatherChangeAbAttr

  Overrides PostBiomeChangeAbAttr.constructor

  - Defined in src/data/ability.ts:2740

## Properties

### showAbility

showAbility: boolean

Inherited from PostBiomeChangeAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` weatherType

weatherType: WeatherType

- Defined in src/data/ability.ts:2738

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostBiomeChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides PostBiomeChangeAbAttr.apply

  - Defined in src/data/ability.ts:2746

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostBiomeChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostBiomeChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137